/* -------------------------------------------------*
 * Bugs Bunny and Taz : Time Busters Any%			*
 * This autosplitter work with the PC version only 	*
 * Create by : Taskan_IV							*
 * -------------------------------------------------*/
 
state("bblit2")
{
	// Variables
	// This is the ID of the level or the cutscene.
	byte idLevel : "bblit2.exe", 0xD5CE0;
	
	// When Granny is speaking or cutscene is playing 1, otherwise 0.
	byte isSpeaking : "bblit2.exe", 0x1E5840;
	
	// In the last room when you place the last gargoyle : nbGargoyle = 5
	byte nbGargoyle : "bblit2.exe", 0xD252D;
	
	// 1 in the main menu (blue menu), otherwise 0
	byte inMenu : "bblit2.exe", 0x239DA0;
}

start
{
	// Timer start when Granny is living the screen so you must to start your timer at -1.30
	if (current.isSpeaking == 0 && old.isSpeaking == 1 && current.idLevel == 4)
		return true;
}

split
{
	// Split : Granwich -> Transylvania
	if (current.idLevel == 90 && old.idLevel == 4)
		return true;
	// Split : Transylvania -> Castle
	if (current.idLevel == 65 && old.idLevel == 55)
		return true;
	// Split : Castle -> Final Boss Room
	if (current.idLevel == 91 && old.idLevel == 65)
		return true;
	// Split : Final Boss
	if (current.idLevel == 66 && current.nbGargoyle == 5)
		return true;
}

reset
{
	// If you go to the main menu (blue menu) it will reset the timer
	if (current.inMenu == 1 && old.inMenu == 0)
		return true;
}